Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class NonnullTokenWithRoleTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.NonnullTokenWithRoleTypeImpl

All Implemented Interfaces:
  NonnullTokenWithRoleType

    public class NonnullTokenWithRoleTypeImpl

extends java.lang.Object
implements NonnullTokenWithRoleType

Nested Class Summary
`class` | `NonnullTokenWithRoleTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_Role`
`protected java.lang.String` | `_Value`
`static java.lang.Class` | `version`

Constructor Summary
`NonnullTokenWithRoleTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.String` | `getRole()` Gets the value of the role property.
`java.lang.String` | `getValue()` Used for a token that must have at least one character in it.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setRole(java.lang.String value)` Sets the value of the role property.
`void` | `setValue(java.lang.String value)` Used for a token that must have at least one character in it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Value

    protected java.lang.String _Value

### _Role

    protected java.lang.String _Role

### version

    public static final java.lang.Class version

Constructor Detail

### NonnullTokenWithRoleTypeImpl

    public NonnullTokenWithRoleTypeImpl()

Method Detail

### getValue

    public java.lang.String getValue()

  Description copied from interface: `NonnullTokenWithRoleType`
  Used for a token that must have at least one character in it.

  Specified by:
    `getValue` in interface `NonnullTokenWithRoleType`
  Returns:
    possible object is `String`

### setValue

    public void setValue(java.lang.String value)

  Description copied from interface: `NonnullTokenWithRoleType`
  Used for a token that must have at least one character in it.

  Specified by:
    `setValue` in interface `NonnullTokenWithRoleType`
  Parameters:
    `value` - allowed object is `String`

### getRole

    public java.lang.String getRole()

  Description copied from interface: `NonnullTokenWithRoleType`
  Gets the value of the role property.

  Specified by:
    `getRole` in interface `NonnullTokenWithRoleType`
  Returns:
    possible object is `String`

### setRole

    public void setRole(java.lang.String value)

  Description copied from interface: `NonnullTokenWithRoleType`
  Sets the value of the role property.

  Specified by:
    `setRole` in interface `NonnullTokenWithRoleType`
  Parameters:
    `value` - allowed object is `String`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD